Bug 178244 - [patch] Update games/minetest to 0.4.6
[patch] Update games/minetest to 0.4.6
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 00:30 UTC by Kevin Zheng
Modified: 2013-11-29 11:50 UTC (History)
0 users

See Also:


Attachments
file.diff (11.04 KB, patch)
2013-04-30 00:30 UTC, Kevin Zheng
no flags Details | Diff
patch-minetest.diff (14.54 KB, patch)
2013-05-06 21:16 UTC, Kevin Zheng
no flags Details | Diff
patch-minetest.diff.txt (14.46 KB, patch)
2013-06-02 22:22 UTC, Kevin Zheng
no flags Details | Diff
patch-minetest.diff (16.45 KB, patch)
2013-06-11 03:28 UTC, Kevin Zheng
no flags Details | Diff
patch-minetest-game.diff (16.83 KB, patch)
2013-06-11 03:28 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2013-04-30 00:30:00 UTC
Update games/minetest to 0.4.6. In addition:
 - Take out indefinite article in COMMENT
 - Sort LIB_DEPENDS and remove ABI numbers
 - Take out GH_TAGNAME, this is same as PORTVERSION
 - Remove SERVER option, no longer works with upstream
 - Use standard description for SOUND option
 - Sort order of options mechanisms in Makefile (purely cosmetic)
 - Remove old patches that were applied upstream
 - Trim lines longer than 80 characters

Also, I happen to like this port so much that if the maintainer desires, I can take over maintainership.

In addition, games/minetest_game should be updated to 0.4.6 but SHOULD NOT yet. The newest version remove a few common mods and now requires minetest_common (a port we do not yet have) in order to work. The new server will work fine with the old game package, so I will update that stuff later.

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-30 00:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Kevin Zheng 2013-04-30 21:05:23 UTC
On 04/30/2013 07:49, Dmitry Marakasov wrote:
> I'm going AFK till May 12th so I can't process it right now - can we
> postpone it till then? Meanwhile, could you please check out
> 
> http://dcstat.proisk.ru/tmp/minetest-0.4.5-rcd.tar.bz2
> 
> that's update to 0.4.5 from anther person with rc.d script for the
> server. It would be nice if you could test this rc.d stuff and merge
> it into your update.

Hi Dmitry,

Of course, it can wait until you're back. Until then, I'll be working on
incorporating the changes from the 0.4.5 update. Thank you very much for
getting back to me so quickly!

Thanks,
Kevin Zheng
Comment 3 proller 2013-05-06 10:19:20 UTC
important change in 0.4.5 update - using curl lib, please dont forget it  
in 0.4.6
Comment 4 Kevin Zheng 2013-05-06 21:16:38 UTC
Yes, I noticed, but thanks for reminding me anyways!

If anyone is interested, I have a patch for my update work-in-progress
(against the version in ports). Everything except the rc.d script is
completed and verified to work, including the evil pkg-plist.

Also, I got the SERVER option working again, somehow.

Thanks,
Kevin Zheng

On 05/06/2013 04:19, oleg alexeenkov wrote:
> important change in 0.4.5 update - using curl lib, please dont forget it
> in 0.4.6
Comment 5 Kevin Zheng 2013-06-02 22:22:13 UTC
Hi there,

Sorry this took so long, but I think I'm done messing with Minetest. You
can go ahead and commit this patch now.

I've sort of tested the rc.d script, but you should check it again just
to be sure. It never hurts to check it again.

Thanks,
Kevin Zheng
Comment 6 proller 2013-06-07 17:57:39 UTC
now can be updated to 0.4.7 , please remake patch and re-test.
Comment 7 Kevin Zheng 2013-06-07 19:19:55 UTC
On 06/07/13 11:57, Ðлег ÐлекÑеенков wrote:
> now can be updated to 0.4.7 , please remake patch and re-test.

Noted, thank you very much! I'll have a patch shortly.

Thanks,
Kevin Zheng
Comment 8 Kevin Zheng 2013-06-11 03:28:51 UTC
Hi there,

The attached patches update the Minetest ports to version 0.4.7. Because
I haven't finished working on the rc.d scripts, a few lines have been
commented out of the port Makefile.

Many changes (two releases, in fact) have been made since the version in
ports, so I think it's a good idea to commit these changes soon. Startup
script is still being worked on, but the idea is it shouldn't hold up
the latest version getting into ports.

Please note that this includes an update to games/minetest_game as well.

Thanks,
Kevin Zheng
Comment 9 proler 2013-08-09 13:15:25 UTC
Time to start preparing for 0.4.8
Comment 10 Kevin Zheng 2013-08-09 14:00:43 UTC
Hi there,

On 08/09/2013 07:15, Ðлег ÐлекÑеенков wrote:
> Time to start preparing for 0.4.8

One step ahead of you; while the PR title says "0.4.6" a patch to
version 0.4.8 is attached. Thanks for reminding me though!

This is a good opportunity to try to convince the maintainer to process
this soon; this PR was sent a LONG time ago.

Thanks,
Kevin Zheng
Comment 11 Kevin Zheng 2013-08-12 04:59:47 UTC
Hi there,

It has been a very long time since the maintainer has had a look at this
PR; please mark this as "timed out."

Thanks,
Kevin Zheng
Comment 12 proler 2013-11-24 12:08:07 UTC
0.4.8 released.
new optional dependency: leveldb
Comment 13 Kevin Zheng 2013-11-24 15:06:50 UTC
Hi Oleg,

On 11/24/2013 06:08, Ðлег ÐлекÑеенков wrote:
> 0.4.8 released.
> new optional dependency: leveldb

Thanks again for reminding me. I'll start working on the port of the
latest version as soon as possible.

It'll take some work to clean the bit rot from the other patches, since
the maintainer hasn't responded to this PR for quite some time.

Thanks,
Kevin Zheng
Comment 14 amdmi3 2013-11-26 03:23:57 UTC
* Kevin Zheng (kevinz5000@gmail.com) wrote:

>  > 0.4.8 released.
>  > new optional dependency: leveldb
>  
>  Thanks again for reminding me. I'll start working on the port of the
>  latest version as soon as possible.
>  
>  It'll take some work to clean the bit rot from the other patches, since
>  the maintainer hasn't responded to this PR for quite some time.

The port has been updated, sorry for the huge wait. Please check
that I haven't missed any useful bits from the pathes.

rc.d was introduced as well, needs testing.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 15 dfilter freebsd_committer 2013-11-26 03:35:42 UTC
Author: amdmi3
Date: Tue Nov 26 03:35:32 2013
New Revision: 334915
URL: http://svnweb.freebsd.org/changeset/ports/334915

Log:
  - Update minetest and minetest_game to 0.4.8
  - Support staging
  - Add rc.d script for minetestserver
  
  PR:		178244
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>, Oleg Alexeenkov <proller@yandex-team.ru>

Added:
  head/games/minetest/files/minetest.in   (contents, props changed)
Deleted:
  head/games/minetest/files/patch-src-CMakeLists.txt
  head/games/minetest_game/pkg-plist
Modified:
  head/GIDs
  head/UIDs
  head/games/minetest/Makefile
  head/games/minetest/distinfo
  head/games/minetest/pkg-descr
  head/games/minetest/pkg-plist
  head/games/minetest_game/Makefile
  head/games/minetest_game/distinfo

Modified: head/GIDs
==============================================================================
--- head/GIDs	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/GIDs	Tue Nov 26 03:35:32 2013	(r334915)
@@ -266,5 +266,6 @@ plex:*:972:
 boinc:*:973:
 radicale:*:974:
 unifi:*:975:
+minetest:*:976:
 nogroup:*:65533:
 nobody:*:65534:

Modified: head/UIDs
==============================================================================
--- head/UIDs	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/UIDs	Tue Nov 26 03:35:32 2013	(r334915)
@@ -272,4 +272,5 @@ plex:*:972:972::0:0:Plex Media Server:/n
 boinc:*:973:973::0:0:BOINC user:/var/db/boinc:/usr/sbin/nologin
 radicale:*:974:974::0:0:Radicale daemon:/nonexistent:/usr/sbin/nologin
 unifi:*:975:975::0:0:Unifi Wireless Controller:/nonexistent:/usr/sbin/nologin
+minetest:*:976:976::0:0:& server:/nonexistent:/usr/sbin/nologin
 nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin

Modified: head/games/minetest/Makefile
==============================================================================
--- head/games/minetest/Makefile	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/games/minetest/Makefile	Tue Nov 26 03:35:32 2013	(r334915)
@@ -2,88 +2,71 @@
 # $FreeBSD$
 
 PORTNAME=	minetest
-PORTVERSION=	0.4.4
+PORTVERSION=	0.4.8
 CATEGORIES=	games
 
 MAINTAINER=	amdmi3@FreeBSD.org
-COMMENT=	An Infiniminer/Minecraft inspired game
-
-LIB_DEPENDS=	Irrlicht:${PORTSDIR}/x11-toolkits/irrlicht \
-		sqlite3:${PORTSDIR}/databases/sqlite3
+COMMENT=	Infiniminer/Minecraft inspired game
 
 LICENSE=	LGPL21
 
+LIB_DEPENDS=	libIrrlicht.so:${PORTSDIR}/x11-toolkits/irrlicht \
+		sqlite3:${PORTSDIR}/databases/sqlite3
+
 USE_GITHUB=	yes
-GH_ACCOUNT=	celeron55
-GH_TAGNAME=	0.4.4
-GH_COMMIT=	ab06fca
+GH_ACCOUNT=	minetest
+GH_COMMIT=	122875c
 
 USES=		cmake
 CMAKE_ARGS=	-DCUSTOM_MANDIR="${PREFIX}/man" \
-		-DCUSTOM_EXAMPLE_CONF_DIR="${EXAMPLESDIR}"
+		-DCUSTOM_EXAMPLE_CONF_DIR="${PREFIX}/etc"
 
+PORTDATA=	*
 PORTDOCS=	*
-PORTEXAMPLES=	*
 
-MAN6=		minetest.6 minetestserver.6
+OPTIONS_DEFINE=	CLIENT SERVER CURL NLS SOUND DOCS EXAMPLES
+OPTIONS_DEFAULT=CLIENT SERVER CURL SOUND
+OPTIONS_SUB=	yes
 
-OPTIONS_DEFINE=	CLIENT SERVER SOUND NLS DOCS EXAMPLES
-OPTIONS_DEFAULT=CLIENT SERVER SOUND NLS DOCS EXAMPLES
 CLIENT_DESC=	Build client
 SERVER_DESC=	Build server
+CURL_DESC=	Enable cURL support for fetching media
 SOUND_DESC=	Enable sound
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+CLIENT_CMAKE_ON=	-DBUILD_CLIENT=1
+CLIENT_CMAKE_OFF=	-DBUILD_CLIENT=0
+CLIENT_LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
+			libpng.so:${PORTSDIR}/graphics/png
+CLIENT_USE=		GL=gl XORG=x11
+SERVER_CMAKE_ON=	-DBUILD_SERVER=1
+SERVER_CMAKE_OFF=	-DBUILD_SERVER=0
+CURL_CMAKE_ON=		-DENABLE_CURL=1
+CURL_CMAKE_OFF=		-DENABLE_CURL=0
+CURL_LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
+NLS_CMAKE_ON=		-DENABLE_GETTEXT=1
+NLS_CMAKE_OFF=		-DENABLE_GETTEXT=0
+NLS_USES=		gettext
+NLS_LDFLAGS=		-L${LOCALBASE}/lib
+SOUND_CMAKE_ON=		-DENABLE_SOUND=1
+SOUND_CMAKE_OFF=	-DENABLE_SOUND=0
 
-.if ${PORT_OPTIONS:MNLS}
-CMAKE_ARGS+=	-DENABLE_GETTEXT:BOOL=YES
-USES+=		gettext
-LDFLAGS+=	-L${LOCALBASE}/lib
-PLIST_SUB+=	NLS=""
-.else
-CMAKE_ARGS+=	-DENABLE_GETTEXT:BOOL=NO
-PLIST_SUB+=	NLS="@comment "
-.endif
+.include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MCLIENT}
-USE_GL=		gl
-LIB_DEPENDS+=	jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png
-CMAKE_ARGS+=	-DBUILD_CLIENT=1
-PLIST_SUB+=	CLIENT=""
-.else
-CMAKE_ARGS+=	-DBUILD_CLIENT=0
-PLIST_SUB+=	CLIENT="@comment "
+.if ${PORT_OPTIONS:MCLIENT} && ${PORT_OPTIONS:MSOUND}
+USE_OPENAL+=	yes
+LIB_DEPENDS+=	libvorbis.so:${PORTSDIR}/audio/libvorbis
 .endif
 
 .if ${PORT_OPTIONS:MSERVER}
-CMAKE_ARGS+=	-DBUILD_SERVER=1
-PLIST_SUB+=	SERVER=""
-.else
-CMAKE_ARGS+=	-DBUILD_SERVER=0
-PLIST_SUB+=	SERVER="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MSOUND}
-USE_OPENAL=	yes
-LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/libvorbis
-.else
-CMAKE_ARGS+=	-DENABLE_SOUND:BOOL=OFF
+USE_RC_SUBR=	${PORTNAME}
+USERS=		${PORTNAME}
+GROUPS=		${PORTNAME}
 .endif
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
-		${WRKSRC}/cmake/Modules/FindIrrlicht.cmake
-	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|' \
+		${WRKSRC}/cmake/Modules/*.cmake
+	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|; /find_/ s|LUA_|NO&|g' \
 		${WRKSRC}/src/CMakeLists.txt
-#	@${REINPLACE_CMD} -e 's|share/man|man|; /EXAMPLE_CONF_DIR/ s|..DOCDIR.|"${EXAMPLESDIR}"|' \
-#		${WRKSRC}/CMakeLists.txt
-.if ! ${PORT_OPTIONS:MDOCS}
-	@${REINPLACE_CMD} -e '/install.*DESTINATION.*DOCDIR/I d' ${WRKSRC}/CMakeLists.txt
-.endif
-.if ! ${PORT_OPTIONS:MEXAMPLES}
-	@${REINPLACE_CMD} -e '/install.*DESTINATION.*EXAMPLE_CONF_DIR/I d' ${WRKSRC}/CMakeLists.txt
-.endif
 
 .include <bsd.port.mk>

Modified: head/games/minetest/distinfo
==============================================================================
--- head/games/minetest/distinfo	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/games/minetest/distinfo	Tue Nov 26 03:35:32 2013	(r334915)
@@ -1,2 +1,2 @@
-SHA256 (minetest-0.4.4.tar.gz) = 127741d361e8642dd5b7e3aaad4b38bae4c19a5d1b8fac8f5acafbc2225f5de0
-SIZE (minetest-0.4.4.tar.gz) = 2104959
+SHA256 (minetest-0.4.8.tar.gz) = 657329dd4733801617f32f110e527ce6e0fc93d30168683842f881414d28c309
+SIZE (minetest-0.4.8.tar.gz) = 5157034

Added: head/games/minetest/files/minetest.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/minetest/files/minetest.in	Tue Nov 26 03:35:32 2013	(r334915)
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# PROVIDE: minetest
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+#
+# Add the following line to /etc/rc.conf[.local] to enable minetest server
+#
+# minetest_enable (bool):  Set to "NO" by default
+#                          Set it to "YES" to enable minetest server
+# minetest_conffile (str): Path to config file (required).
+#                          (default: /usr/local/etc/minetest.conf)
+# minetest_rundir (str):   Path to directory holding a pidfile.
+#                          (default: /var/run/minetest)
+# minetest_user (str):     User to run as
+#                          (default: minetest)
+# minetest_group (str):    Group to run as
+#                          (default: minetest)
+# minetest_logdir (str):   Path to log directory
+#                          (default: /var/log/minetest)
+# minetest_dbdir (str):    Path to world database directory
+#                          (default: /var/db/minetest)
+
+. /etc/rc.subr
+
+name=minetest
+rcvar=minetest_enable
+
+load_rc_config ${name}
+
+: ${minetest_enable="NO"}
+: ${minetest_config="/usr/local/etc/minetest.conf"}
+: ${minetest_rundir="/var/run/minetest"}
+: ${minetest_user="minetest"}
+: ${minetest_group="minetest"}
+: ${minetest_logdir="/var/log/minetest"}
+: ${minetest_dbdir="/var/db/minetest"}
+: ${minetest_args:="--logfile ${minetest_logdir}/debug.log --world ${minetest_dbdir}/world ${minetest_flags}"}
+
+pidfile=
+
+case "${minetest_args}" in
+*--config\ *)
+	echo "Warning \$minetest_args includes --config option." \
+	     "Please use \$minetest_conffile instead."
+	;;
+*)
+	minetest_args="--config ${minetest_config} ${minetest_args}"
+	;;
+esac
+
+command=/usr/sbin/daemon
+procname=/usr/local/bin/minetestserver
+pidfile=${minetest_rundir}/minetest.pid
+command_args="-c -f -p ${pidfile} ${procname} ${minetest_args}"
+required_files=${minetest_config}
+start_precmd=minetest_prestart
+
+minetest_prestart () {
+	if [ ! -d ${minetest_rundir} ]; then
+		mkdir -m 755 -p ${minetest_rundir}
+		chown -R ${minetest_user}:${minetest_group} ${minetest_rundir}
+	fi
+	if [ ! -d ${minetest_logdir} ]; then
+		mkdir -m 755 -p ${minetest_logdir}
+		chown -R ${minetest_user}:${minetest_group} ${minetest_logdir}
+	fi
+	if [ ! -d ${minetest_dbdir} ]; then
+		mkdir -m 755 -p ${minetest_dbdir}/data
+		chown -R ${minetest_user}:${minetest_group} ${minetest_dbdir}
+	fi
+}
+
+run_rc_command "$1"

Modified: head/games/minetest/pkg-descr
==============================================================================
--- head/games/minetest/pkg-descr	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/games/minetest/pkg-descr	Tue Nov 26 03:35:32 2013	(r334915)
@@ -1,3 +1,4 @@
-An InfiniMiner/Minecraft inspired game.
+Minetest is an infinite-world block sandbox game and a game engine,
+inspired by InfiniMiner, Minecraft and the like.
 
 WWW: http://minetest.net/

Modified: head/games/minetest/pkg-plist
==============================================================================
--- head/games/minetest/pkg-plist	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/games/minetest/pkg-plist	Tue Nov 26 03:35:32 2013	(r334915)
@@ -1,181 +1,12 @@
 %%CLIENT%%bin/minetest
 %%SERVER%%bin/minetestserver
+@unexec if cmp -s %D/etc/minetest.conf.example %D/etc/minetest.conf; then rm -f %D/etc/minetest.conf; fi
+etc/minetest.conf.example
+@exec if [ ! -f %B/minetest.conf ]; then cp -p %D/%F %B/minetest.conf; fi
+man/man6/minetest.6.gz
+man/man6/minetestserver.6.gz
 share/applications/minetest.desktop
 share/icons/hicolor/scalable/apps/minetest-icon.svg
-%%CLIENT%%%%NLS%%share/locale/da/LC_MESSAGES/minetest.mo
-%%CLIENT%%%%NLS%%share/locale/de/LC_MESSAGES/minetest.mo
-%%CLIENT%%%%NLS%%share/locale/fr/LC_MESSAGES/minetest.mo
-%%CLIENT%%%%NLS%%share/locale/it/LC_MESSAGES/minetest.mo
-%%DATADIR%%/builtin/auth.lua
-%%DATADIR%%/builtin/builtin.lua
-%%DATADIR%%/builtin/chatcommands.lua
-%%DATADIR%%/builtin/deprecated.lua
-%%DATADIR%%/builtin/detached_inventory.lua
-%%DATADIR%%/builtin/falling.lua
-%%DATADIR%%/builtin/item.lua
-%%DATADIR%%/builtin/item_entity.lua
-%%DATADIR%%/builtin/misc.lua
-%%DATADIR%%/builtin/misc_helpers.lua
-%%DATADIR%%/builtin/misc_register.lua
-%%DATADIR%%/builtin/privileges.lua
-%%DATADIR%%/builtin/serialize.lua
-%%DATADIR%%/builtin/static_spawn.lua
-%%DATADIR%%/client/shaders/test_shader_1/base.txt
-%%DATADIR%%/client/shaders/test_shader_1/opengl_fragment.glsl
-%%DATADIR%%/client/shaders/test_shader_1/opengl_vertex.glsl
-%%DATADIR%%/client/shaders/test_shader_2/base.txt
-%%DATADIR%%/client/shaders/test_shader_2/opengl_fragment.glsl
-%%DATADIR%%/client/shaders/test_shader_2/opengl_vertex.glsl
-%%DATADIR%%/games/minimal/game.conf
-%%DATADIR%%/games/minimal/mods/bucket/depends.txt
-%%DATADIR%%/games/minimal/mods/bucket/init.lua
-%%DATADIR%%/games/minimal/mods/bucket/textures/bucket.png
-%%DATADIR%%/games/minimal/mods/bucket/textures/bucket_lava.png
-%%DATADIR%%/games/minimal/mods/bucket/textures/bucket_water.png
-%%DATADIR%%/games/minimal/mods/default/init.lua
-%%DATADIR%%/games/minimal/mods/default/mapgen.lua
-%%DATADIR%%/games/minimal/mods/default/sounds/default_grass_footstep.1.ogg
-%%DATADIR%%/games/minimal/mods/default/textures/crack_anylength.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_apple.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_book.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_bookshelf.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_brick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_cactus_side.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_cactus_top.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_chest_front.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_chest_lock.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_chest_side.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_chest_top.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_clay.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_clay_brick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_clay_lump.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_cloud.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_coal_lump.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_cobble.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_dirt.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_fence.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_fire_bg.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_fire_fg.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_front.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_front_active.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_side.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_glass.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_grass.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_grass_footsteps.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_grass_side.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_gravel.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_iron_lump.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_junglegrass.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_jungletree.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_jungletree_top.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_ladder.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_lava.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_lava_flowing_animated.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_lava_source_animated.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_leaves.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_mese.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_mineral_coal.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_mineral_iron.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_mossycobble.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_nc_back.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_nc_front.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_nc_rb.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_nc_side.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_paper.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_papyrus.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_rail.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_rail_crossing.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_rail_curved.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_rail_t_junction.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_sand.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_sandstone.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_sapling.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_scorched_stuff.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_sign_wall.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_steel_block.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_steel_ingot.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_stick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_stone.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tnt_bottom.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tnt_side.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tnt_top.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_mesepick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelaxe.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelpick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelshovel.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelsword.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stoneaxe.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stonepick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stoneshovel.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stonesword.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodaxe.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodpick.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodshovel.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodsword.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_torch.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_torch_on_ceiling.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_torch_on_floor.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tree.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_tree_top.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_water.png
-%%DATADIR%%/games/minimal/mods/default/textures/default_wood.png
-%%DATADIR%%/games/minimal/mods/default/textures/heart.png
-%%DATADIR%%/games/minimal/mods/default/textures/player.png
-%%DATADIR%%/games/minimal/mods/default/textures/player_back.png
-%%DATADIR%%/games/minimal/mods/default/textures/treeprop.png
-%%DATADIR%%/games/minimal/mods/default/textures/wieldhand.png
-%%DATADIR%%/games/minimal/mods/experimental/depends.txt
-%%DATADIR%%/games/minimal/mods/experimental/init.lua
-%%DATADIR%%/games/minimal/mods/experimental/textures/experimental_dummyball.png
-%%DATADIR%%/games/minimal/mods/experimental/textures/experimental_tester_tool_1.png
-%%DATADIR%%/games/minimal/mods/give_initial_stuff/depends.txt
-%%DATADIR%%/games/minimal/mods/give_initial_stuff/init.lua
-%%DATADIR%%/games/minimal/mods/legacy/depends.txt
-%%DATADIR%%/games/minimal/mods/legacy/init.lua
-%%DATADIR%%/games/minimal/mods/legacy/textures/apple_iron.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/cooked_rat.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/dungeon_master.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/fireball.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/firefly.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/oerkki1.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/oerkki1_damaged.png
-%%DATADIR%%/games/minimal/mods/legacy/textures/rat.png
-%%DATADIR%%/games/minimal/mods/stairs/depends.txt
-%%DATADIR%%/games/minimal/mods/stairs/init.lua
-%%DATADIR%%/games/minimal/mods/test/init.lua
-%%CLIENT%%%%DATADIR%%/textures/base/pack/fontdejavusansmono.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/fontlucida.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/menubg.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/menulogo.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/smoke_puff.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/sunrisebg.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/unknown_block.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/unknown_item.png
-%%CLIENT%%%%DATADIR%%/textures/base/pack/unknown_object.png
-%%CLIENT%%@dirrm %%DATADIR%%/textures/base/pack
-%%CLIENT%%@dirrm %%DATADIR%%/textures/base
-%%CLIENT%%@dirrm %%DATADIR%%/textures
-@dirrm %%DATADIR%%/games/minimal/mods/test
-@dirrm %%DATADIR%%/games/minimal/mods/stairs
-@dirrm %%DATADIR%%/games/minimal/mods/legacy/textures
-@dirrm %%DATADIR%%/games/minimal/mods/legacy
-@dirrm %%DATADIR%%/games/minimal/mods/give_initial_stuff
-@dirrm %%DATADIR%%/games/minimal/mods/experimental/textures
-@dirrm %%DATADIR%%/games/minimal/mods/experimental
-@dirrm %%DATADIR%%/games/minimal/mods/default/textures
-@dirrm %%DATADIR%%/games/minimal/mods/default/sounds
-@dirrm %%DATADIR%%/games/minimal/mods/default
-@dirrm %%DATADIR%%/games/minimal/mods/bucket/textures
-@dirrm %%DATADIR%%/games/minimal/mods/bucket
-@dirrm %%DATADIR%%/games/minimal/mods
-@dirrm %%DATADIR%%/games/minimal
-@dirrm %%DATADIR%%/games
-@dirrm %%DATADIR%%/client/shaders/test_shader_2
-@dirrm %%DATADIR%%/client/shaders/test_shader_1
-@dirrm %%DATADIR%%/client/shaders
-@dirrm %%DATADIR%%/client
-@dirrm %%DATADIR%%/builtin
-@dirrm %%DATADIR%%
 @dirrmtry share/icons/hicolor/scalable/apps
 @dirrmtry share/icons/hicolor/scalable
 @dirrmtry share/icons/hicolor

Modified: head/games/minetest_game/Makefile
==============================================================================
--- head/games/minetest_game/Makefile	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/games/minetest_game/Makefile	Tue Nov 26 03:35:32 2013	(r334915)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	minetest_game
-PORTVERSION=	0.4.4
+PORTVERSION=	0.4.8
 CATEGORIES=	games
 
 MAINTAINER=	amdmi3@FreeBSD.org
@@ -14,15 +14,14 @@ RUN_DEPENDS=	minetest:${PORTSDIR}/games/
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	minetest
-GH_TAGNAME=	0.4.4
-GH_COMMIT=	3928ecc
+GH_COMMIT=	51de423
 
 NO_BUILD=	yes
 DATADIR=	${PREFIX}/share/minetest/games/${PORTNAME}
+PORTDATA=	*
 
-NO_STAGE=	yes
 do-install:
-	${MKDIR} ${DATADIR}
-	cd ${WRKSRC} && ${COPYTREE_SHARE} '*' ${DATADIR}/
+	${MKDIR} ${STAGEDIR}${DATADIR}
+	cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${DATADIR}/
 
 .include <bsd.port.mk>

Modified: head/games/minetest_game/distinfo
==============================================================================
--- head/games/minetest_game/distinfo	Tue Nov 26 02:33:07 2013	(r334914)
+++ head/games/minetest_game/distinfo	Tue Nov 26 03:35:32 2013	(r334915)
@@ -1,2 +1,2 @@
-SHA256 (minetest_game-0.4.4.tar.gz) = aaed4ea81b0b301c6e6fe440d494cbc6d3cfa3bbcf9516bf53cd44d4b4bea1a9
-SIZE (minetest_game-0.4.4.tar.gz) = 451453
+SHA256 (minetest_game-0.4.8.tar.gz) = a323beed31db267c220fbab2621ae025d623b32be34ac28bbdd6ef7d15feea1c
+SIZE (minetest_game-0.4.8.tar.gz) = 751763
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 16 proler 2013-11-26 09:09:07 UTC
Dmitry Marakasov <amdmi3@amdmi3.ru> =D0=BF=D0=B8=D1=81=D0=B0=D0=BB(=D0=B0=
) =D0=B2 =D1=81=D0=B2=D0=BE=D1=91=D0=BC =D0=BF=D0=B8=D1=81=D1=8C=D0=BC=D0=
=B5 Tue, 26 Nov  =

2013 07:23:57 +0400:

missed optional deps:
lang/luajit
databases/leveldb  -DENABLE_LEVELDB=3D1
print/freetype2    -DENABLE_FREETYPE=3D1

>>  > 0.4.8 released.
>>  > new optional dependency: leveldb
>>
>>  Thanks again for reminding me. I'll start working on the port of the=

>>  latest version as soon as possible.
>>
>>  It'll take some work to clean the bit rot from the other patches, si=
nce
>>  the maintainer hasn't responded to this PR for quite some time.
>
> The port has been updated, sorry for the huge wait. Please check
> that I haven't missed any useful bits from the pathes.
>
> rc.d was introduced as well, needs testing.
Comment 17 amdmi3 2013-11-29 03:21:36 UTC
* =D0=9E=D0=BB=D0=B5=D0=B3 =D0=90=D0=BB=D0=B5=D0=BA=D1=81=D0=B5=D0=B5=D0=BD=
=D0=BA=D0=BE=D0=B2 (proler@gmail.com) wrote:

> missed optional deps:
> lang/luajit
> databases/leveldb  -DENABLE_LEVELDB=3D1
> print/freetype2    -DENABLE_FREETYPE=3D1

Added.

--=20
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 18 Kevin Zheng 2013-11-29 04:31:43 UTC
Hi Dmitry,

Thanks for your help in getting the latest version in. I think Oleg and
I are satisfied for now. Go ahead and close this PR.

Thanks,
Kevin Zheng
Comment 19 Dmitry Marakasov freebsd_committer 2013-11-29 11:50:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!